function all_hist_CA=Do_CA(dataset_param,Pcw)
%% compute color attention based histograms

Num_features=dataset_param.shape_hist_size;
nclasses=dataset_param.nclasses;
all_hist_CA=zeros(Num_features*nclasses,dataset_param.nimages);
image_hist=zeros(Num_features,nclasses);
index_list_Color=dataset_param.index_list_Color.Color_Index;
index_list_Shape=dataset_param.index_list_Shape.Shape_Index;

for i=1:dataset_param.nimages   % Outer loop of total number of images 
                  
    for j=1:Num_features        % Inner loop over the number of descriptor cue features (in our implementation SIFT)
                                
          color_index=cell2mat(index_list_Color(i));
          shape_index=cell2mat(index_list_Shape(i));
          cw=color_index(shape_index==j);
          Pcp=Pcw(cw,:);
          image_hist(j,:)=sum(Pcp,1);                           
    end

    all_hist_CA(:,i)=reshape(image_hist,Num_features*nclasses,1);
    image_hist=zeros(Num_features,nclasses);
end

% return the normalized histogram
all_hist_CA=normalize(all_hist_CA,1);