
% Example code for running the Color Attention algorithm described in
% "Top-Down Color Attention for Object recognition" (ICCV'09)
% For any questions, please email to fahad@cvc.uab.cat.

%% load parameter settings for dataset
Init_Soccer;

%% Construct the Color Histogram

Color_Hist=Construct_Color_Hist(socceropts);

%% Compute Prob(class|visual-word) from the training images

Pcw=Do_PCW(socceropts,Color_Hist);

%% Compute the Color Attention Histogram

CA_Hist=Do_CA(socceropts,Pcw);


%% Example of Image Classification
% Before running this install libsvm (www.csie.ntu.edu.tw/~cjlin/libsvm/) and 
% Intersection kernel (http://www.cs.berkeley.edu/~smaji/)

%  [predict_label, accuracy , dec_values]=Do_Classification(CA_Hist,socceropts);  %%% uncomment the line to do SVM 

% The resulting Color Attention Histogram gave a Classification Accuracy of 82 % 
% with Intersection kernel (http://www.cs.berkeley.edu/~smaji/)

